<?php

namespace App\Form\Input;

class Select_InvoiceVoidReason extends \Engine\Form\Input\Select
{
	/**
	 * (non-PHPdoc)
	 * @see \Engine\Form\Input\Select::determinePossibleValues()
	 */
	protected function determinePossibleValues()
	{

		$invoiceEntityCfg = \Entity\Invoice::loadCFG();
		$_LANG = \App\Loader_Lang::getInstance()->getGlobal();

		$list = [];
		foreach ($invoiceEntityCfg['_special']['voidReasons'] as $voidReason) {
			$list[$voidReason] = $_LANG['invoiceVoidReason'][$voidReason];
		}

		return $list;

	}

}
